Subject: Re: kernel 2.6.18: Confusion about Macintosh backlight configuration

From: Matthias Grimm <[email-masked]>
Date: Mon, 22 Jan 2007 16:05:18 +0100

On Mon, 22 Jan 2007 14:33:35 +1100
Benjamin Herrenschmidt <[email-masked]> wrote:

> > Which solution you prefer is up to you but I would be glad if at least
> > solution #1 could be realised.
> 
> For now, at least, what prevents you from having all enabled and have
> pbbuttonsd still call PMU_IOC_GRAB_BACKLIGHT ?

Nothing. Pbbuttonsd does so by now but this wouldn't help if someone set
CONFIG_PMAC_BACKLIGHT_LEGACY to off. 

I check this out with debian, hoping you will find a smart solution for
this in the future. I think the debian people getting aware of this
backwards compatibility problem now and there is hope they will fix it
for etch.

Thanks for your comment.

  Best Regards
   Matthias